PulseAudio requirement breaks Firefox on ALSA-only systems

Bug #1671273 reported by Forest on 2017-03-08
124
This bug affects 24 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
High
Unassigned

Bug Description

Upgrading Firefox to version 52 on an ALSA-only system breaks audio on all websites.

PulseAudio has apparently become a hard requirement in the latest official build of Firefox, but since PulseAudio is (due to its design) not viable on some systems, this renders Firefox useless as a general-purpose browser.

The upstream code still contains ALSA support. Please re-enable it on Ubuntu. I have read that Arch Linux has already done so.

Forest (foresto) on 2017-03-08
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
linuxball (linuxball) on 2017-03-09
tags: added: xenial
linuxball (linuxball) wrote :

At least for an LTS distribution (xenial here) I expect that an update of an essential program (like firefox) will NOT remove the support for the most basic linux audio interface (ALSA) so that audio is broken for those who rely on that interface.

Please re-enable ALSA support by compiling firefox with "--enable-alsa", see https://support.mozilla.org/hwsfp35778/board/message?board.id=Privacy-Security&message.id=1037477#M1037477

Adam Hunt (adamandruth) wrote :

Note that "ALSA-only systems" particularly affects all Lubuntu users.

auquicu (aebsbkrs) wrote :

Ubuntu 16.04.2 LTS - As others said already, please do not break ALSA support on an LTS system. (And if you make ALSA necessary for Firefox (why?), then make sure that it is a dependency.)

Changed in firefox (Ubuntu):
importance: Undecided → High
asgard2 (kamp000x) wrote :

Audio is not working at my lubuntu, even if PulseAudio was already installed.

ii gstreamer0.10-pulseaudio:amd64 0.10.31-3+nmu4ubuntu2.16.04.2
ii pulseaudio 1:8.0-0ubuntu3.2
ii pulseaudio-module-x11 1:8.0-0ubuntu3.2
ii pulseaudio-utils 1:8.0-0ubuntu3.2

Firefox is popping up the same PulseAudio missing message.

Jeremy Bicha (jbicha) wrote :

asgard2, you probably need gstreamer1.0-pulseaudio instead of 0.10

Robie Basak (racb) on 2017-03-17
tags: added: regression-update
mathojojo (mathojojo) wrote :

Just after enabling native FLAC support in Firefox, they drop ALSA Support... totally senseless !! To enjoy FLAC quality, we still need ALSA. Pulseaudio is resampling everything !!

It's a big regression, please re-introduce ALSA support fast !

Yrjö Selänne (yselnne) wrote :

Would this also affect gnome-alsamixer ?

https://apps.ubuntu.com/cat/applications/gnome-alsamixer/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 52.0.2+build1-0ubuntu0.12.04.1

---------------
firefox (52.0.2+build1-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (52.0.2build1)
    - Really fix LP: #1671079 - Don't crash if LOGNAME is not set in the
      environment

  * Fix LP: #1671273 - Build with --enable-alsa for now to re-enable the
    unmaintained ALSA backend. Note that problems with the ALSA backend will
    not block future updates and Ubuntu flavors that ship without Pulseaudio
    need to participate in maintaining this code

 -- Chris Coulson <email address hidden> Wed, 29 Mar 2017 13:53:34 +0100

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 52.0.2+build1-0ubuntu0.16.10.1

---------------
firefox (52.0.2+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (52.0.2build1)
    - Really fix LP: #1671079 - Don't crash if LOGNAME is not set in the
      environment

  * Fix LP: #1671273 - Build with --enable-alsa for now to re-enable the
    unmaintained ALSA backend. Note that problems with the ALSA backend will
    not block future updates and Ubuntu flavors that ship without Pulseaudio
    need to participate in maintaining this code

 -- Chris Coulson <email address hidden> Wed, 29 Mar 2017 13:11:13 +0100

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
ggallozz (ggallozz-gmail) wrote :

yes, please give us back the ALSA compatibility.

Tiago Pimenta (tiagoapimenta) wrote :

Please, reopen this issue, version 55.0.1 is affected

Tiago Pimenta (tiagoapimenta) wrote :

I filed another if this one weren't reopen:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1710993

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.